<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>


<xsl:template match="ESHOP-PAYMENT-SYSTEMS">
	<xsl:apply-templates select="PAYMENT"/>
</xsl:template>

<xsl:template match="ESHOP-PAYMENT-SYSTEMS/PAYMENT">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
	<td valign="top" style="padding-bottom:10px;">
		<xsl:apply-templates select="CONTROL[@TYPE='CHECKBOX']" mode="TITLE-RIGHT">
			<xsl:with-param name="onClick">
				<xsl:choose>
					<xsl:when test="@CODE='bluePay'">
						changeBluePayFormStatus(); self.sbApplyChangesObject.registerChange();
					</xsl:when>
					<xsl:otherwise>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:apply-templates>
	</td>
</tr>
<xsl:if test="CONTENT">
<tr>
	<td valign="top" style="padding-left:20px">
		<xsl:apply-templates select="CONTENT"/>
	</td>
</tr>
</xsl:if>
</table>
</xsl:template>

<xsl:template match="ESHOP-PAYMENT-SYSTEMS/PAYMENT[@CODE='bluePay']/CONTENT">
<script type="text/javascript" src="/js/Admin/Modules/Eshop/BluePay.js?{$version}.{$build}"/>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr class="sb-formview-row">
	<td style="padding: 0px 0px 8px 0px;">
		<xsl:apply-templates select="CONTROL[@TYPE='CHECKBOX' and @NAME='isBluePayRegistrationEnabled']" mode="TITLE-RIGHT">
			<xsl:with-param name="onClick">changeBluePayFormStatus(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
		</xsl:apply-templates>
	</td>
</tr>
<tr>
	<td id="bluePayPaymentSystemForm">
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<xsl:for-each select="CONTROL[@TYPE='INPUT']">
		<tr class="sb-formview-row">
			<td style="padding: 0px 0px 8px 0px;">
				<xsl:apply-templates select="." mode="TITLE-LEFT">
					<xsl:with-param name="titleStyle">width: 35%;</xsl:with-param>
					<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
		</xsl:for-each>
		</table>
	</td>
</tr>
</table>
<script type="text/javascript">
	changeBluePayFormStatus();
</script>
</xsl:template>

</xsl:stylesheet>