<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="CATEGORY-FORM">
	</xsl:template>

	<xsl:template match="CATEGORY-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<!--<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>-->
			<!--<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>-->
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 470px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="CATEGORY-FORM" mode="content">
		<table cellspacing="0" cellpadding="5" border="0" style="border-width:0px;width:100%;">
			<tr>
				<td valign="top">
					<xsl:apply-templates select="IMAGE" />
				</td>
				<td>
					<xsl:apply-templates select="MAIN" />
					<xsl:apply-templates select="DESCRIPTION" />
				</td>
			</tr>
		</table>
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

	<xsl:template match="IMAGE">
		<xsl:choose>
			<xsl:when test="@FILE-PATH!=''">
				<table cellspacing="0" cellpadding="0" border="0" style="border-collapse:collapse;width:100%;" >
					<tr>
						<td>
							<img border="0">
								<xsl:attribute name="src"><xsl:value-of select="@FILE-PATH"/></xsl:attribute>
							</img>
						</td>
					</tr>
					<tr>
						<td align="center" style="padding-top:5px;cursor:pointer;">
				<table cellspacing="0" cellpadding="0" border="0" style="border-collapse:collapse;" >
					<xsl:attribute name="onclick">
						setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Image/Delete');
						wizardFormSubmit();
					</xsl:attribute>
					<tr>
						<td style="padding-right: 4px;">
							<img border="0" alt="" width="16" height="16" src="{$skinPath}/icons/delete.png"/>
						</td>
						<td style="padding-right: 8px;">
							<a href="#" style="color: Black;">
								<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/DELETE-IMAGE"/>
							</a>
						</td>
					</tr>
				</table>
						</td>
					</tr>
				</table>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="NO-IMAGE" />
			</xsl:otherwise>
		</xsl:choose>
		<input type="hidden" name="image">
			<xsl:attribute name="value"><xsl:value-of select="@FILE-PATH"/></xsl:attribute>
		</input>
	</xsl:template>

	<xsl:template match="MAIN">
		<input type="hidden" name="id">
			<xsl:attribute name="value"><xsl:value-of select="CATEGORY-INFO/@CATEGORY-ID"/></xsl:attribute>
		</input>
		<table cellspacing="0" cellpadding="5" border="0" style="border-width:0px;width:100%;">
		<tr>
			<td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-NAME"/>&#160;<span class="sb-asterix">*</span></td>
			<td>
				<input type="text" name="name" id="name" class="sb-control-input-input" maxlength="50">
					<xsl:attribute name="value">
						<xsl:value-of select="CATEGORY-INFO/@NAME"/>
					</xsl:attribute>
				</input>
			</td>
		</tr>
		<tr>
			<td><xsl:value-of select="../CONTROL[@NAME='parentId']/@TITLE"/>&#160;<span class="sb-asterix">*</span></td>
			<td>
				<xsl:apply-templates select="../CONTROL[@NAME='parentId']" mode="categories"/>
			</td>
		</tr>
		<tr>
			<td> <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-IMAGE"/> </td>
			<td>
				<table cellspacing="0" cellpadding="0" border="0">
				<tr>
					<td>
						<input type="file" name="image" size="40" style="border-color:#999EA1;border-width:1px;border-style:Solid;" />
					</td>
					<td style="padding-left:5px;">
						<xsl:call-template name="BUTTON-CONTROL">
							<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/UPLOAD"/></xsl:with-param>
							<xsl:with-param name="action">setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Image/Upload");wizardFormSubmit();</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</xsl:template>

	<xsl:template match="CONTROL[@NAME='parentId']" mode="categories">
		<xsl:call-template name="COMBO-BOX-CONTROL">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="DESCRIPTION">
		<table width="100%" border="0">
			<tr>
				<td>
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-DESCRIPTION"/>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="WYSIWYG" />
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="NO-IMAGE">
		<table style="width: 100px; height: 110px; background-color: #A4A4A4;">
			<tr>
				<td valign="middle" align="center">
					<span style="vertical-align: middle; color: #FFFFFF;"><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NO-IMAGE"/></b></span>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="POSITION">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="@VALUE"/>
		</option>
	</xsl:template>

</xsl:stylesheet>