<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="NOTIFICATIONS">
		<fieldset class="sb-form-fieldset">
			<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
		<table border="0" style="width:100%; table-layout:fixed;" class="sb-page">
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ESHOP-OWNER-EMAIL"/></span>
				</td>
				<td style="width:70%;">
					<input name="ownerEmail" type="text"  class="sb-control-input-input" onchange="self.sbApplyChangesObject.registerChange()">
						<xsl:attribute name="value"><xsl:value-of select="@OWNER-EMAIL"/></xsl:attribute>
					</input>
				</td>
			</tr>
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ORDER-EMAIL-SUBJECT"/></span>
				</td>
				<td style="width:70%;">
					<input name="subject" type="text"  class="sb-control-input-input" onchange="self.sbApplyChangesObject.registerChange()">
						<xsl:attribute name="value"><xsl:value-of select="@SUBJECT"/></xsl:attribute>
					</input>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ORDER-EMAIL-MESSAGE"/></span>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<xsl:apply-templates select="WYSIWYG">
						<xsl:with-param name="id"><xsl:value-of select="WYSIWYG/@NAME"/></xsl:with-param>
					</xsl:apply-templates>
					<br/><br/><br/>
				</td>
			</tr>
		</table>
		</fieldset>
	</xsl:template>

	<xsl:template match="WYSIWYG[@MODE='eshopNotification']">
		<xsl:param name="id" />
		<xsl:variable name="Wysiwyg">
			<xsl:text>Wysiwyg_</xsl:text><xsl:value-of select="$id"/>
		</xsl:variable>
		<xsl:variable name="WysiwygIniter">
			<xsl:text>Init_</xsl:text>
			<xsl:value-of select="$Wysiwyg"/>
		</xsl:variable>
		<script type="text/javascript" src="/js/Modules/Wysiwyg/fckeditor.js?{$version}.{$build}"></script>
		<script language="JavaScript" type="text/javascript">
		 	function <xsl:value-of select="$WysiwygIniter"/>() {
		 		if (!<xsl:value-of select="$Wysiwyg"/>) {
		 		<xsl:value-of select="$Wysiwyg"/>=new FCKeditor('<xsl:value-of select="$Wysiwyg"/>');
		 			<xsl:value-of select="$Wysiwyg"/>.BasePath = '/js/Modules/Wysiwyg/';
		 			<xsl:value-of select="$Wysiwyg"/>.Config["CustomConfigurationsPath"] ="/js/Modules/Wysiwyg/config/EshopNotification.js?<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ToolbarSet="admin";
					<xsl:value-of select="$Wysiwyg"/>.EditorFile="";
					<xsl:value-of select="$Wysiwyg"/>.Config["Version"]="<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ReplaceTextarea();
				}
			}
			<xsl:value-of select="$Wysiwyg"/>=null;
			<xsl:call-template name="CUSTOM-SCRIPT">
				<xsl:with-param name="Initer"><xsl:value-of select="$WysiwygIniter"/></xsl:with-param>
			</xsl:call-template>
		</script>
		<textarea id="{$Wysiwyg}" name="{@NAME}" style="border-width: 0px;"><xsl:value-of select="CONTENT"/></textarea>
	</xsl:template>

	</xsl:stylesheet>