<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="ORDER-FORM">
</xsl:template>

<xsl:template match="ORDER-FORM" mode="content">
	<input type="hidden" name="id">
		<xsl:attribute name="value"><xsl:value-of select="@ORDER-ID"/></xsl:attribute>
	</input>
	<table cellspacing="0" cellpadding="0" border="0" style="width:100%;">
		<tr style="vertical-align: top;">
			<td width="50%" style="padding-right: 10px;">
				<xsl:apply-templates select="GENERAL-CONTENT" mode="INFO"/>
				<div style="width: 0; height: 15px;"><span></span></div>
				<xsl:apply-templates select="COMMENT"/>
			</td>
			<td style="padding-left: 10px;">
				<xsl:apply-templates select="CONTACT-INFO"/>
				<xsl:apply-templates select="PAYMENT-METHOD"/>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<xsl:apply-templates select="GENERAL-CONTENT" mode="PRODUCTS"/>
			</td>
		</tr>
	</table>
	<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
</xsl:template>

<xsl:template match="ORDER-FORM" mode="initAfterBody">
	<xsl:call-template name="MODAL-FORM">
		<xsl:with-param name="formName">modalForm</xsl:with-param>
		<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
		<xsl:with-param name="additionalFormStyle">width: 780px; height: 500px;</xsl:with-param>
		<xsl:with-param name="content" select="current()" />
		<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
	</xsl:call-template>
</xsl:template>

<xsl:template match="GENERAL-CONTENT" mode="INFO">
	<xsl:apply-templates select="CONTROL[@NAME='orderId']" mode="INDEPENDENT-TITLE-LEFT"/>
	<div style="width: 0; height: 5px;"><span></span></div>
	<xsl:apply-templates select="../CONTACT-INFO/CONTROL[@NAME='creationDate']" mode="INDEPENDENT-TITLE-LEFT"/>
	<div style="width: 0; height: 5px;"><span></span></div>
	<xsl:apply-templates select="../CONTACT-INFO/CONTROL[@NAME='lastUpdatedDate']" mode="INDEPENDENT-TITLE-LEFT"/>
	<div style="width: 0; height: 5px;"><span></span></div>
	<div style="width: 0; height: 5px;"><span></span></div>
	<xsl:apply-templates select="CONTROL[@NAME='status']" mode="TITLE-LEFT"/>
</xsl:template>

<xsl:template match="GENERAL-CONTENT" mode="PRODUCTS">
	<style>
		.eshop-order-list .sb-toolbar-fieldset { border: none; }
	</style>
	<div class="eshop-order-list" style="overflow:auto; width:100%;height:200px;">
		<xsl:apply-templates select="PAGED-LIST"/>
	</div>
</xsl:template>

<xsl:template match="GENERAL-CONTENT/PAGED-LIST/LIST/HEADER">
	<tr class="sb-gridview-header" align="left" style="height:24px;white-space:nowrap;">
		<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="NAME"/></th>
		<th style="padding-left: 4px; padding-right: 4px;" align="right"><xsl:value-of select="PRICE"/></th>
		<th style="padding-left: 4px; padding-right: 4px;" align="center"><xsl:value-of select="QUANTITY"/></th>
		<th style="padding-left: 4px; padding-right: 4px;" align="right"><xsl:value-of select="SUBTOTAL"/></th>
	</tr>
</xsl:template>

<xsl:template match="GENERAL-CONTENT/PAGED-LIST/LIST/ITEM">
	<xsl:variable name="class">
		<xsl:call-template name="LIST-ROW-CLASS">
	        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<tr class="{$class}" style="height:24px;">
		<td style="padding-right:4px;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td><xsl:value-of select="NAME"/></td>
				</tr>
				<xsl:if test="COLOR!=''">
				<tr>
					<td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-COLOR"/>: <b><xsl:value-of select="COLOR"/></b></td>
				</tr>
				</xsl:if>
				<xsl:if test="OPTIONS!=''">
				<tr>
					<td><xsl:apply-templates select="OPTIONS"/></td>
				</tr>
				</xsl:if>
			</table>
		</td>
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="align">right</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="PRICE"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="align">center</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="QUANTITY"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="align">right</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="SUBTOTAL"/></xsl:with-param>
		</xsl:call-template>
	</tr>
	<xsl:if test="position()=last()">
		<xsl:if test="ancestor::GENERAL-CONTENT/SHIPPING-INFO/@NAME!=''">
		<tr class="sb-gridview-header" style="height:24px;">
			<td style="padding-left: 4px; padding-right: 4px;" colspan="3">
				<b><xsl:value-of select="ancestor::GENERAL-CONTENT/SHIPPING-INFO/@NAME"/></b>
			</td>
			<td style="padding-left: 4px; padding-right: 4px;" align="right">
				<b><xsl:value-of select="ancestor::GENERAL-CONTENT/SHIPPING-INFO/@COST"/></b>
			</td>
		</tr>
		</xsl:if>
		<tr class="sb-gridview-header" style="height:24px;">
			<td style="padding-left: 4px; padding-right: 4px;" colspan="3">
				<b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/TOTAL"/>:</b>
			</td>
			<td style="padding-left: 4px; padding-right: 4px;" align="right">
				<b><xsl:value-of select="ancestor::GENERAL-CONTENT/@TOTAL"/></b>
			</td>
		</tr>
	</xsl:if>
</xsl:template>

<xsl:template match="ITEM/OPTIONS/*">
	<xsl:value-of select="NAME"/>: <b><xsl:value-of select="VALUE"/></b>
	<xsl:if test="position()!=last()">,</xsl:if>&#160;
</xsl:template>


<xsl:template match="CONTACT-INFO">
	<fieldset class="sb-form-fieldset" style="border-bottom: 0; padding-bottom: 0;">
		<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
		<table width="100%">
			<tr><td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NAME"/>:</td><td><xsl:value-of select="FIRST-NAME"/>&#160;<xsl:value-of select="LAST-NAME"/></td></tr>
			<tr><td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/EMAIL"/>:</td><td><xsl:value-of select="EMAIL"/></td></tr>
			<tr><td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PHONE"/>:</td><td><xsl:value-of select="PHONE-NUMBER"/></td></tr>
			<tr><td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMPANY"/>:</td><td><xsl:value-of select="COMPANY"/></td></tr>
			<tr><td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ADDRESS"/>:</td><td>
				<xsl:value-of select="ADDRESS1"/>&#160;
				<xsl:value-of select="ADDRESS2"/>&#160;
				<xsl:value-of select="CITY"/>&#160;
				<xsl:value-of select="STATE"/>&#160;
				<xsl:value-of select="COUNTRY"/>&#160;
				<xsl:value-of select="ZIP"/>
			</td></tr>
		</table>
	</fieldset>
</xsl:template>

<xsl:template match="COMMENT">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMMENT-DESCRIPTION"/><br/>
	<textarea id="" name="comment" class="sb-control-input-input" style="width: 100%; height: 70px;"><xsl:value-of select="."/></textarea>
</xsl:template>

<xsl:template match="PAYMENT-METHOD">
	<fieldset class="sb-form-fieldset" style="border-bottom: 0;">
		<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
		<xsl:value-of select="."/>
	</fieldset>
</xsl:template>

</xsl:stylesheet>