<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="BUSINESS-CARD">
<div style="overflow:auto; width:100%;height:250px;">

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-INFO-FIELDSET"/>
</legend>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-SITE-INFO-FIELDSET"/>
</legend>
<xsl:for-each select="SITE-SURVEY-INFORMATION/CONTROL">
<xsl:choose>
	<xsl:when test="@TYPE='COMBO-BOX'">
		<xsl:apply-templates select="." mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>
	</xsl:when>
	<xsl:otherwise>
		<xsl:apply-templates select="." mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
	</xsl:otherwise>
</xsl:choose>	
</xsl:for-each>
<!--<xsl:for-each>
</xsl:for-each>-->
</fieldset>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-DETAILS-FIELDSET"/>
</legend>
<xsl:for-each select="BUSINESS-DETAILS/CONTROL">
<xsl:choose>
	<xsl:when test="@TYPE='COMBO-BOX'">
		<xsl:apply-templates select="." mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>
	</xsl:when>
	<xsl:otherwise>
		<xsl:apply-templates select="." mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
	</xsl:otherwise>
</xsl:choose>	
</xsl:for-each>
<!--<xsl:for-each>
</xsl:for-each>-->
</fieldset>


<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRADE-REFERENCE-FIELDSET"/>
</legend>
<table border="0" style="width:100%;" cellspacing="0" cellpadding="0">
<tr>
	<td width="50%"  valign="top">
		<fieldset class="sb-toolbar-fieldset">
		<legend class="sb-label-toolbar-title">
			<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRADE-REFERENCE1-FIELDSET"/>
		</legend>
		<xsl:apply-templates select="TRADE-REFERENCES1-INFO/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="TRADE-REFERENCES1-INFO/CONTROL[@TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>	
		</fieldset>
	</td>
	<td width="50%" valign="top">
		<fieldset class="sb-toolbar-fieldset">
		<legend class="sb-label-toolbar-title">
			<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRADE-REFERENCE2-FIELDSET"/>
		</legend>
		<xsl:apply-templates select="TRADE-REFERENCES2-INFO/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="TRADE-REFERENCES2-INFO/CONTROL[@TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>	
		</fieldset>
	</td>
</tr>
</table>
</fieldset>
</fieldset>
</div>
</xsl:template>
	
</xsl:stylesheet>