<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="COMPANY-CARD">
<div style="overflow:auto; width:100%;height:250px;">
<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-COMPANY-INFORMATION-FIELDSET"/>
</legend>
<table border="0" style="width:100%;" cellspacing="0" cellpadding="0">
<tr>
	<td width="50%"  valign="top">
		<fieldset class="sb-toolbar-fieldset">
		<legend class="sb-label-toolbar-title">
			<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-ADRESS-FIELDSET"/>
		</legend>
		<xsl:apply-templates select="COMPANY-BUSINESS-ADDRESS/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="COMPANY-BUSINESS-ADDRESS/CONTROL[@TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>	
		</fieldset>
	</td>
	<td width="50%" valign="top">
		<xsl:apply-templates select="CONTROL[@NAME='com_mailing_check' and @TYPE='CHECKBOX']" mode="TITLE-RIGHT">
			<xsl:with-param name="onClick">javascript: sameCorporateAndBusinessAddress();</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="COMPANY-CORPORATE-ADDRESS/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="COMPANY-CORPORATE-ADDRESS/CONTROL[@TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>	
	</td>
</tr>
<tr>
<td>
	<xsl:apply-templates select="CONTROL[@NAME='com_retrieval_request' and @TYPE='COMBO-BOX']" mode="TITLE-LEFT">
		<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
	</xsl:apply-templates>	
</td>
<td>
	<xsl:apply-templates select="CONTROL[@NAME='com_merch_monthly_statement' and @TYPE='COMBO-BOX']" mode="TITLE-LEFT">
		<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
	</xsl:apply-templates>	
</td>
</tr>
<tr>
<td width="50%">
<xsl:apply-templates select="CONTACT-INFO/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
	<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
	<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
</xsl:apply-templates>
</td>
<td width="50%">
<div style="width:50%"><span></span></div>
</td>
</tr>
<tr>
	<td colspan="2" valign="top">
		<fieldset class="sb-toolbar-fieldset">
		<legend class="sb-label-toolbar-title">
			<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-TYPE-FIELDSET"/>
		</legend>
		</fieldset>
		<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@NAME='com_business_type' and @TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>	
		<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@NAME='com_business_type_state' and @TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
	</td>
</tr>	
</table>
</fieldset>
</div>
</xsl:template>
	
</xsl:stylesheet>