<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="PROCESSING-CARD">
<div style="overflow:auto; width:100%;height:250px;">
<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-PROCESSING-INFO-FIELDSET"/>
</legend>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-THIRD-PARTY-FIELDSET"/>
</legend>
<xsl:apply-templates select="THIRD-PARTY-INFORMATION/CONTROL[@TYPE='COMBO-BOX']" mode="TITLE-LEFT">
	<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
</xsl:apply-templates>
</fieldset>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRANSACTION-INFO-FIELDSET"/>
</legend>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-FINANCIAL-DATA-FIELDSET"/>
</legend>
<xsl:for-each select="FINANCIAL-DATA/CONTROL">
	<xsl:choose>
		<xsl:when test="@TYPE='COMBO-BOX'">
			<xsl:apply-templates select="." mode="TITLE-LEFT">
				<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="." mode="TITLE-LEFT">
				<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
				<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>	
</xsl:for-each>
</fieldset>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-SALE-TRANSACTED-FIELDSET"/>
</legend>
<xsl:apply-templates select="SALE-TRANSACTED/CONTROL" mode="TITLE-LEFT">
	<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
	<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
</xsl:apply-templates>
</fieldset>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRANSACTION-COMPLETED-FIELDSET"/>
</legend>
<xsl:apply-templates select="TRANSACTION-COMPLETED/CONTROL" mode="TITLE-LEFT">
	<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
	<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
</xsl:apply-templates>
</fieldset>

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRANSACTION-TYPE-FIELDSET"/>
</legend>
<xsl:apply-templates select="TRANSACTION-TYPE/CONTROL" mode="TITLE-LEFT">
	<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
	<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
</xsl:apply-templates>
</fieldset>

</fieldset>

<!--<table border="0" style="width:100%;" cellspacing="0" cellpadding="0">
<tr>
	<td valign="top">
		<xsl:apply-templates select="PRINCIPAL-INFO/CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="PRINCIPAL-INFO/CONTROL[@TYPE='COMBO-BOX']" mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
		</xsl:apply-templates>
	</td>
</tr>
</table>
-->

<fieldset class="sb-toolbar-fieldset">
<legend class="sb-label-toolbar-title">
	<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-ENTITLEMENT-SERVICES-FIELDSET"/>
</legend>
<xsl:for-each select="ENTITLEMENT-SERVICES/CONTROL">
	<xsl:choose>
		<xsl:when test="@TYPE='COMBO-BOX'">
			<xsl:apply-templates select="." mode="TITLE-LEFT">
				<xsl:with-param name="controlStyle">margin-top:4px; margin-left:2px</xsl:with-param>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="." mode="TITLE-LEFT">
				<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
				<xsl:with-param name="controlEnvStyle">padding-top:4px</xsl:with-param>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>	
</xsl:for-each>
</fieldset>

</fieldset>
</div>
</xsl:template>
	
</xsl:stylesheet>