<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="COLORS-CARD">
<script type="text/javascript" src="/modules/Eshop/js/color_picker.js?{$version}.{$build}"></script>
<script language="javascript">
	function proccessColorAction(action, getParam) {
		var productColorAction = document.getElementById('productColorAction');
		productColorAction.value = action;
		if (getParam!="") {
			getParam = "?" + getParam;
		}
		setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Colors"+getParam);
		wizardFormSubmit();
	}
</script>
<input type="hidden" id="productColorAction" name="productColorAction" value=''/>

<div id='webcolors' style='display: none; position: absolute; background-color: #ffffff;'>
</div>

<table cellspacing="0" cellpadding="0" border="0" style="width:100%;">
	<tr>
		<td>
			<xsl:call-template name="BUTTON-CONTROL">
				<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ADD-NEW-COLOR"/></xsl:with-param>
				<xsl:with-param name="action">javascript: proccessColorAction("add", "");</xsl:with-param>
			</xsl:call-template>
		</td>
	</tr>
	<xsl:if test="LIST">
	<tr>
		<td style="padding-top:10px;">
			<div style="overflow:auto; width:100%;height:365px;border:1px solid #AAAAAA;">
				<xsl:apply-templates select="LIST" />
			</div>
		</td>	
	</tr>
	</xsl:if>
</table>
</xsl:template>	

<xsl:template match="COLORS-CARD/LIST/ITEM">
<xsl:variable name="position">
	<xsl:value-of select="position()"/>
</xsl:variable>
<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        <xsl:with-param name="position"><xsl:value-of select="$position"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
<table cellspacing="0" cellpadding="0" border="0" style="width:100%; border-collapse: collapse;">
<tr>
	<td style="width:100%; height: 105px" class="{$class}">
		<table cellspacing="0" cellpadding="0" border="0" style="width:100%;">
		<tr>
			<td width="150px" valign="middle" style="padding-top:5px; padding-bottom:5px;">
				<table cellspacing="0" cellpadding="0" border="0" style="width:150px;">
				<tr>
					<td>
						<xsl:choose>
							<xsl:when test="@SRC!=''">
								<img border="0">
									<xsl:attribute name="src"><xsl:value-of select="@SRC"/></xsl:attribute>
								</img>
								<input type="hidden" value='{@SRC}'>
									<xsl:attribute name="name">colors[<xsl:value-of select="@ID"/>][image]</xsl:attribute>
								</input>
							</xsl:when>
							<xsl:otherwise>
								<img border="0" width="100" height="110">
									<xsl:attribute name="src">/modules/Eshop/images/noImage.gif</xsl:attribute>
								</img>
								<input type="hidden" value=''>
									<xsl:attribute name="name">colors[<xsl:value-of select="@ID"/>][image]</xsl:attribute>
								</input>
							</xsl:otherwise>
						</xsl:choose>
					</td>	
				</tr>
				<tr>
					<td>
						<xsl:if test="@IS-BASIC-IMAGE='0'">
						<a href="#">
							<xsl:attribute name="onclick">
								proccessColorAction("reset", "id=<xsl:value-of select="@ID"/>");
							</xsl:attribute>
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/RESET-COLOR-IMAGE"/>
						</a>
						</xsl:if>
					</td>
				</tr>
				</table>
			</td>
			<td valign="top">
				<table cellspacing="5" cellpadding="0" border="0">
				<tr>
					<td>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COLOR-NAME"/>&#160;<span class="sb-asterix">*</span>
					</td>
					<td>
						<input type="text" value="{@NAME}" style="border-color:#999EA1;border-width:1px;border-style:Solid; width:150px">
							<xsl:attribute name="name">colors[<xsl:value-of select="@ID"/>][name]</xsl:attribute>
						</input>
					</td>
				</tr>
				<tr>
					<td>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COLOR-VALUE"/>&#160;<span class="sb-asterix">*</span>
					</td>
					<td>
						<table cellspacing="0" cellpadding="0" border="0">
						<tr>
							<td id="bgcolorBox_{@ID}" style="background-color:{@VALUE}; width:20px; height:5px;"><span></span></td>
							<td>
								<input type="text" value="{@VALUE}" style="border-color:#999EA1;border-width:1px;border-style:Solid; width:90px">
									<xsl:attribute name="id">colors[<xsl:value-of select="@ID"/>][value]</xsl:attribute>
									<xsl:attribute name="name">colors[<xsl:value-of select="@ID"/>][value]</xsl:attribute>
								</input>	
							</td>
							<td>
								<a href="#">
									<xsl:attribute name="onclick">
										javascript:try{generateWebColors(this, 'colors[<xsl:value-of select="@ID"/>][value]', 'bgcolorBox_<xsl:value-of select="@ID"/>');}catch(e){}; TogglePreloader(0);return false;
									</xsl:attribute>
									<img src="/modules/Eshop/images/bgcolor.gif?{$version}.{$build}" border="0"/>
								</a>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COLOR-IMAGE"/>
					</td>
					<td>
						<input type="file" size="23" style="border-color:#999EA1;border-width:1px;border-style:Solid;">
							<xsl:attribute name="id">colorImages[<xsl:value-of select="@ID"/>]</xsl:attribute>
							<xsl:attribute name="name">colorImages[<xsl:value-of select="@ID"/>]</xsl:attribute>
						</input>
					</td>
					<td>
						<xsl:call-template name="BUTTON-CONTROL">
							<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/UPLOAD"/></xsl:with-param>
							<xsl:with-param name="action">javascript: 
							if (validateField('SB_Validator.notEmpty', "colorImages[<xsl:value-of select="@ID"/>]", 'EMPTY-COLOR-IMAGE')) {
								proccessColorAction("upload", "id=<xsl:value-of select="@ID"/>");
							}
							</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
				</table>
			</td>
			<td valign="top" align="right">
				<table cellspacing="5" cellpadding="0" border="0">
				<tr>
					<td style="width:16px; padding-left: 4px; padding-right: 4px;">
						<div style="width:16px"></div>
						<xsl:if test="not(@IS-FIRST=1)">
							<a>
								<xsl:attribute name="href">#</xsl:attribute>
								<xsl:attribute name="onclick">
									javascript: proccessColorAction("move", "id=<xsl:value-of select="@ID"/>&amp;offset=-1");
								</xsl:attribute>
								<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
							</a>
						</xsl:if>
					</td>
					<td style="width:16px; padding-left: 4px; padding-right: 4px;">
						<div style="width:16px"></div>
						<xsl:if test="not(@IS-LAST=1)">
							<a>
								<xsl:attribute name="href">#</xsl:attribute>
								<xsl:attribute name="onclick">
									javascript: proccessColorAction("move", "id=<xsl:value-of select="@ID"/>&amp;offset=+1");
								</xsl:attribute>
								<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
							</a>	
						</xsl:if>
					</td>
					<td>
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">
								javascript: proccessColorAction("delete", "id=<xsl:value-of select="@ID"/>");
							</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/delete.png"/>
						</a>	
					</td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>
</xsl:template>	

</xsl:stylesheet>