<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="PRODUCT-FORM">
	</xsl:template>

	<xsl:template match="PRODUCT-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<!--<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>-->
			<!--<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>-->
			<xsl:with-param name="additionalFormStyle">width: 900px; height: 630px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>

		<!--<xsl:call-template name="MODULE-MODAL-FORM" />-->
	</xsl:template>

	<xsl:template match="PRODUCT-FORM" mode="content">
		<input type="hidden" name="productCurrentView" value="{@CURRENT-VIEW}"/>
		<xsl:apply-templates select="TAB-PANEL" />
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

	<xsl:template match="MAIN-CARD">
		<input type="hidden" name="id">
			<xsl:attribute name="value"><xsl:value-of select="PRODUCT-INFO/@PRODUCT-ID"/></xsl:attribute>
		</input>
		<input type="hidden" name="image">
			<xsl:attribute name="value"><xsl:value-of select="PRODUCT-INFO/IMAGE/@FILE-PATH"/></xsl:attribute>
		</input>
		<input type="hidden" name="image_original">
			<xsl:attribute name="value"><xsl:value-of select="PRODUCT-INFO/IMAGE/@ORIG-PATH"/></xsl:attribute>
		</input>
		<table cellspacing="0" cellpadding="0" border="0" style="border-width:0px;width:100%;">
		<tr>
		<td valign="top" style="width:120px">
		<xsl:choose>
			<xsl:when test="PRODUCT-INFO/IMAGE/@FILE-PATH!=''">
				<table cellspacing="0" cellpadding="0" border="0">
				<tr>
					<td align="center">
					<a href="#">
						<xsl:attribute name="onclick">
							window.open(
								'<xsl:value-of select="PRODUCT-INFO/IMAGE/@ORIG-PATH"/>',
								'imagepreview',
								'width=<xsl:value-of select="PRODUCT-INFO/IMAGE/@ORIG-WIDTH"/>, height=<xsl:value-of select="PRODUCT-INFO/IMAGE/@ORIG-HEIGHT"/>, resizable=yes, tolbar=no, status=yes, scrollbars=yes'
							);
							return false;
						</xsl:attribute>
						<img border="0">
							<xsl:attribute name="src"><xsl:value-of select="PRODUCT-INFO/IMAGE/@FILE-PATH"/></xsl:attribute>
						</img>
					</a>
					</td>
				</tr>
				<tr>
					<td align="center" style="padding-top: 10px">
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-DIMENSION"/>:<br/>
						<xsl:value-of select="PRODUCT-INFO/IMAGE/@ORIG-WIDTH"/>x<xsl:value-of select="PRODUCT-INFO/IMAGE/@ORIG-HEIGHT"/>
					</td>
				</tr>
				</table>
			</xsl:when>
			<xsl:otherwise>
				<img border="0" width="100" height="110">
					<xsl:attribute name="src">/modules/Eshop/images/noImage.gif</xsl:attribute>
				</img>
			</xsl:otherwise>
		</xsl:choose>
		</td>
		<td valign="top">
			<table cellspacing="0" cellpadding="2" border="0" style="border-width:0px;width:100%;">
			<tr>
				<td valign="top" nowrap="true"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-NAME"/>&#160;<span class="sb-asterix">*</span></td>
				<td valign="top">
					<input type="text" name="name" id="name" class="sb-control-input-input" maxlength="50" size="25">
						<xsl:attribute name="value">
							<xsl:value-of select="PRODUCT-INFO/@NAME"/>
						</xsl:attribute>
					</input>
				</td>
			</tr>
			<tr>
				<td nowrap="true"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-PRICE"/>&#160;<span class="sb-asterix">*</span></td>
				<td>
					<xsl:if test="PRODUCT-INFO/@CURRENCY != ''">
						<xsl:value-of select="PRODUCT-INFO/@CURRENCY"/>&#160;
					</xsl:if>
					<input type="text" name="price" id="price" class="sb-control-input-input" maxlength="50" size="10">
						<xsl:attribute name="value">
							<xsl:value-of select="PRODUCT-INFO/@PRICE"/>
						</xsl:attribute>
					</input>
					<xsl:if test="PRODUCT-INFO/@CURRENCY-RIGHT != ''">
						&#160;<xsl:value-of select="PRODUCT-INFO/@CURRENCY-RIGHT"/>
					</xsl:if>
				</td>
			</tr>
			<xsl:if test="PRODUCT-INFO/CONTROL[@NAME='inventory']">
				<tr>
					<td nowrap="true"><xsl:value-of select="PRODUCT-INFO/CONTROL[@NAME='inventory']/@TITLE"/>&#160;<span class="sb-asterix">*</span></td>
					<td>
						<xsl:apply-templates select="PRODUCT-INFO/CONTROL[@NAME='inventory']" mode="TITLE-NONE">
							<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
							<xsl:with-param name="maxLength">10</xsl:with-param>
							<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
				</tr>
			</xsl:if>
			<tr>
				<td nowrap="true"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-ADVERTISE"/></td>
				<td>
					<input type="checkbox" name="advertise" id="advertise" maxlength="50" style="margin: 0; width: 13px; height: 13px;">
						<xsl:if test="PRODUCT-INFO/@ADVERTISE = '1'">
							<xsl:attribute name="checked">true</xsl:attribute>
						</xsl:if>
					</input>
				</td>
			</tr>
			<tr>
				<td nowrap="true"> <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NEW-IMAGE"/> </td>
				<td>
					<table cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td>
							<input type="file" name="image" size="40" style="border-color:#999EA1;border-width:1px;border-style:Solid;" />
						</td>
						<td style="padding-left:5px;">
							<xsl:call-template name="BUTTON-CONTROL">
								<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/UPLOAD"/></xsl:with-param>
								<xsl:with-param name="action">setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Image/Upload");wizardFormSubmit();</xsl:with-param>
							</xsl:call-template>
						</td>
						<td style="padding-left:5px;">
							<xsl:if test="PRODUCT-INFO/IMAGE/@FILE-PATH!=''">
								<input type="hidden" name="is_modified">
									<xsl:attribute name="value"><xsl:value-of select="PRODUCT-INFO/IMAGE/@IS-MODIFIED"/></xsl:attribute>
								</input>

								<xsl:call-template name="BUTTON-CONTROL">
									<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/DELETE"/></xsl:with-param>
									<xsl:with-param name="action">setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Image/Delete");wizardFormSubmit();</xsl:with-param>
									<xsl:with-param name="icon">delete.png</xsl:with-param>
								</xsl:call-template>
							</xsl:if>
						</td>
					</tr>
					</table>
				</td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td></td>
			<td valign="top"><xsl:apply-templates select="BRIEF-DESCRIPTION" /></td>
		</tr>
		<tr>
			<td></td>
			<td valign="top"><xsl:apply-templates select="FULL-DESCRIPTION" /></td>
		</tr>
		</table>
	</xsl:template>

	<xsl:template match="BRIEF-DESCRIPTION">
		<span style="padding-left:3px;"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-BRIEF-DESCRIPTION"/></span>
		<table width="100%" border="0">
			<tr>
				<td>
					<xsl:apply-templates select="WYSIWYG" mode="product"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="FULL-DESCRIPTION">
		<span style="padding-left:3px;"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-FULL-DESCRIPTION"/></span>
		<table width="100%" border="0">
			<tr>
				<td>
					<xsl:apply-templates select="WYSIWYG" mode="product" />
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="WYSIWYG" mode="product">
		<xsl:variable name="Wysiwyg">
			<xsl:text>Wysiwyg_</xsl:text>
			<xsl:value-of select="generate-id()"/>
		</xsl:variable>
		<xsl:variable name="WysiwygIniter">
			<xsl:text>Init_</xsl:text>
			<xsl:value-of select="$Wysiwyg"/>
		</xsl:variable>
		<script type="text/javascript" src="/js/Modules/Wysiwyg/fckeditor.js?{$version}.{$build}"></script>
		<script language="JavaScript" type="text/javascript">
		 	function <xsl:value-of select="$WysiwygIniter"/>() {
		 		if (!<xsl:value-of select="$Wysiwyg"/>) {
			 		<xsl:value-of select="$Wysiwyg"/>=new FCKeditor('<xsl:value-of select="$Wysiwyg"/>');
			 		<xsl:value-of select="$Wysiwyg"/>.Height = 135;
			 		<xsl:value-of select="$Wysiwyg"/>.BasePath = '/js/Modules/Wysiwyg/';
					<xsl:value-of select="$Wysiwyg"/>.Config["CustomConfigurationsPath"] = "/js/Modules/Wysiwyg/config/EshopProductForm.js?<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>321323111";
					<xsl:value-of select="$Wysiwyg"/>.ToolbarSet="EshopProductForm";
					<xsl:value-of select="$Wysiwyg"/>.Config["DefaultLanguage"]="<xsl:value-of select="@LANGUAGE"/>";
					<xsl:value-of select="$Wysiwyg"/>.Config["Version"]="<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ReplaceTextarea();
				}
			}
			<xsl:value-of select="$Wysiwyg"/>=null;
			<xsl:call-template name="CUSTOM-SCRIPT">
				<xsl:with-param name="Initer"><xsl:value-of select="$WysiwygIniter"/></xsl:with-param>
			</xsl:call-template>
		</script>
		<textarea id="{$Wysiwyg}" name="{@NAME}" style="border-width: 1px;"><xsl:value-of select="CONTENT"/></textarea>
	</xsl:template>

	<xsl:template name="NO-IMAGE">
		<table style="width: 100px; height: 80px; background-color: #A4A4A4;">
			<tr>
				<td valign="middle" align="center">
					<span style="vertical-align: middle; color: #FFFFFF;"><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NO-IMAGE"/></b></span>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="POSITION">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
			<xsl:if test="position()=last()">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="@VALUE"/>
		</option>
	</xsl:template>

	<xsl:template match="CATEGORIES-CARD">
		<script language="javascript">
			function setCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
						}
					}
				}
			}
		</script>
		<input type="hidden" name="product_category_pageNum"   value=""/>
		<input type="hidden" name="product_category_pageSize"  value=""/>

		<div style="overflow:auto; width:100%;height:365px;">
			<xsl:apply-templates select="PAGED-LIST" />
		</div>
	</xsl:template>

	<xsl:template match="CATEGORIES-CARD/PAGED-LIST/LIST/HEADER">
		<tr class="sb-gridview-header" align="left" style="height:24px;white-space:nowrap;">
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked);" id="categoryCheckboxGlobal"/>
			</th>
			<th><label for="categoryCheckboxGlobal"><xsl:value-of select="NAME"/></label></th>
		</tr>
	</xsl:template>

	<xsl:template match="CATEGORIES-CARD/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class">
			<xsl:call-template name="LIST-ROW-CLASS">
				<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<tr class="{$class}" style="height:24px;">
			<td style="width:1%;text-align:center;">
				<input type="checkbox" name="objectIds[]" id="categoryCheckbox_{ID}">
					<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
					<xsl:if test="../../../SELECTED-CATEGORIES/CATEGORY/@ID=ID">
						<xsl:attribute name="checked">true</xsl:attribute>
					</xsl:if>
				</input>
			</td>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<label for="categoryCheckbox_{ID}">
						<xsl:if test="LEVEL">
							<xsl:call-template name="LOOP-STRING">
								<xsl:with-param name="string">&#160;</xsl:with-param>
								<xsl:with-param name="level" select="6*LEVEL"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:value-of select="NAME"/>
					</label>
				</xsl:with-param>
				<xsl:with-param name="copyTitle">yes</xsl:with-param>
			</xsl:call-template>
		</tr>
	</xsl:template>

</xsl:stylesheet>