<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="OPTIONS-CARD">
<script language="javascript">
	function proccessOptionAction(action, getParam) {
		var productOptionAction = document.getElementById('productOptionAction');
		productOptionAction.value = action;
		if (getParam!="") {
			getParam = "?" + getParam;
		}
		setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Options"+getParam);
		wizardFormSubmit();
	}
</script>
<input type="hidden" id="productOptionAction" name="productOptionAction" value=''/>
<table cellspacing="0" cellpadding="0" border="0" style="width:100%;">
	<tr>
		<td width="20%" style="padding-right:10px">
			<xsl:apply-templates select="OPTIONS-TYPES" />
		</td>
		<td>
			<xsl:call-template name="BUTTON-CONTROL">
				<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ADD-NEW-OPTION"/></xsl:with-param>
				<xsl:with-param name="action">javascript: proccessOptionAction("add", "");</xsl:with-param>
			</xsl:call-template>
		</td>
	</tr>
	<xsl:if test="LIST">
	<tr>
		<td style="padding-top:10px;" colspan="2">
			<div style="overflow:auto; width:100%;height:365px;border:1px solid #AAAAAA;">
			<table cellspacing="1" cellpadding="0" border="0" style="width:100%;">
				<tr class="sb-gridview-header" align="left" style="height:24px;white-space:nowrap;">	
					<th style="padding-left: 4px; padding-right: 4px; width:25%"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/OPTION-NAME"/></th>
					<th style="padding-left: 4px; padding-right: 4px; width:25%"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/OPTION-RSS-ATTRIBUTE"/></th>
					<th style="padding-left: 4px; padding-right: 4px; width:40%"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/OPTION-VALUE"/></th>
					<th style="padding-left: 4px; padding-right: 4px; width: 10%"><span></span></th>
				</tr> 
				<xsl:apply-templates select="LIST" />
			</table>	
			</div>
		</td>	
	</tr>
	</xsl:if>
</table>
</xsl:template>	

<xsl:template match="OPTIONS-CARD/LIST/ITEM">
<xsl:variable name="position">
	<xsl:value-of select="position()"/>
</xsl:variable>
<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        <xsl:with-param name="position"><xsl:value-of select="$position"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
<tr class="{$class}" style="height:24px;">
	<td valign="top" style="padding-top: 5px; padding-bottom: 5px;">
		<input type="text" value="{@NAME}" style="border-color:#999EA1;border-width:1px;border-style:Solid; width:100%">
			<xsl:attribute name="name">options[<xsl:value-of select="@ID"/>][name]</xsl:attribute>
		</input>
	</td>
	<td  valign="top" style="padding-top: 5px; padding-bottom: 5px;">
		<input type="text" value="{@RSS}" style="border-color:#999EA1;border-width:1px;border-style:Solid; width:100%">
			<xsl:attribute name="name">options[<xsl:value-of select="@ID"/>][rss_attribute]</xsl:attribute>
		</input>
	</td>
	<td  valign="top" style="padding-top: 5px; padding-bottom: 5px;">
		<textarea style="border-color:#999EA1;border-width:1px;border-style:Solid; width:100%;  height:60px;">
			<xsl:attribute name="name">options[<xsl:value-of select="@ID"/>][value]</xsl:attribute>
			<xsl:value-of select="@VALUE"/>
		</textarea>
	</td>
	<td valign="top" align="right">
		<table cellspacing="5" cellpadding="0" border="0">
		<tr>
			<td style="width:16px; padding-left: 4px; padding-right: 4px;">
				<div style="width:16px"></div>
				<xsl:if test="not(@IS-FIRST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
							javascript: proccessOptionAction("move", "id=<xsl:value-of select="@ID"/>&amp;offset=-1");
						</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
					</a>
				</xsl:if>
			</td>
			<td style="width:16px; padding-left: 4px; padding-right: 4px;">
				<div style="width:16px"></div>
				<xsl:if test="not(@IS-LAST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
							javascript: proccessOptionAction("move", "id=<xsl:value-of select="@ID"/>&amp;offset=+1");
						</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
					</a>	
				</xsl:if>
			</td>
			<td>
				<a>
					<xsl:attribute name="href">#</xsl:attribute>
					<xsl:attribute name="onclick">
						javascript: proccessOptionAction("delete", "id=<xsl:value-of select="@ID"/>");
					</xsl:attribute>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/delete.png"/>
				</a>	
			</td>
		</tr>
		</table>
	</td>
</tr>
</xsl:template>

<xsl:template match="OPTIONS-TYPES">
<select name="optionType" style="width:100%">
	<xsl:apply-templates select="ITEM" />
</select>
</xsl:template>

<xsl:template match="OPTIONS-CARD/OPTIONS-TYPES/ITEM">
	<option value="{@CODE}"><xsl:value-of select="@TITLE"/></option>
</xsl:template>

</xsl:stylesheet>