<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="SETTINGS">
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COLUMNS-NUMBER-IN-CATEGORY-LIST"/></span>
				</td>
				<td style="width:70%;">
					<select  name="categoryListColumnsNumber" onchange="self.sbApplyChangesObject.registerChange()" style="width:100px">
						<xsl:apply-templates select="CATEGORY-COLUMNS-RANGE/ITEM"/>
					</select>
				</td>
			</tr>
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-NUMBER-PER-PAGE"/></span>
				</td>
				<td style="width:70%;">
					<select name="productNumberPerPage" onchange="self.sbApplyChangesObject.registerChange()" style="width:100px">
						<xsl:apply-templates select="PRODUCT-NUMBER-PER-PAGE/ITEM"/>
					</select>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<xsl:apply-templates select="CONTROL[@NAME='isInventoryEnabled']" mode="TITLE-RIGHT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="onClick">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<xsl:apply-templates select="CONTROL[@NAME='isShowCategoriesFirst']" mode="TITLE-RIGHT">
						<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="ITEM">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="@VALUE"/>
		</option>
	</xsl:template>

</xsl:stylesheet>