<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="TERMS-OF-SERVICE">
		<fieldset class="sb-form-fieldset">
			<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
		<table border="0" style="width:100%; table-layout:fixed;" class="sb-page">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='termsOfServiceCaption']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="maxLength">255</xsl:with-param>
						<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="WYSIWYG[@NAME='termsOfServiceText']" mode="TITLE-LEFT"/>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='termsOfServiceAcceptanceLabel']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="maxLength">255</xsl:with-param>
						<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		</fieldset>
	</xsl:template>

</xsl:stylesheet>